Bug 102503 - Report SRGB framebuffer to SuperTuxKart to workaround SuperTuxKart crash
Summary: Report SRGB framebuffer to SuperTuxKart to workaround SuperTuxKart crash
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 17.2
Hardware: Other Linux (All)
: highest blocker
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 23:25 UTC by QwertyChouskie
Modified: 2017-11-09 07:06 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description QwertyChouskie 2017-08-31 23:25:01 UTC
The current stable version of SuperTuxKart crashes on i965, see (https://bugs.freedesktop.org/show_bug.cgi?id=102354).  A workaround specifically for SuperTuxKart should be made that always reports an SRGB framebuffer.

Note that the current development version of STK doesn't crash with Mesa 17.2, but won't be released for a while.
Comment 1 Tapani Pälli 2017-09-04 13:12:17 UTC
Please check if following patch makes difference:
https://lists.freedesktop.org/archives/mesa-dev/2017-September/168453.html
Comment 2 Tapani Pälli 2017-11-09 07:06:55 UTC
Following commit is now available in Mesa master. It exposes BGRA8888 sRGB visuals and should fix your problem. Please let me know if this is not the case and I can try to help further. I will try to promote this patch to Mesa stable releases if we find no issues.

--- 8< ----
commit c591b1e59454db2e8854e36852e0d413ce38b2f2
Author: Tapani Pälli <tapani.palli@intel.com>
Date:   Tue Oct 31 10:56:28 2017 +0200

    i965: expose SRGB visuals and turn on EGL_KHR_gl_colorspace
    
    Patch exposes sRGB visuals and adds DRI integer query support for
    __DRI2_RENDERER_HAS_FRAMEBUFFER_SRGB. Further changes make sure that
    we mark if the app explicitly wanted sRGB and for these framebuffers
    we don't turn sRGB off in intel_gles3_srgb_workaround. This way we
    keep compatibility for existing applications relying on default sRGB
    and ony add more visual support.
    
    With this change, following dEQP tests start to pass:
    
       dEQP-EGL.functional.wide_color.window_8888_colorspace_srgb
       dEQP-EGL.functional.wide_color.pbuffer_8888_colorspace_srgb
    
    v2: some code cleanup (Emil Velikov)
        update num_formats correctly (reported by deveee@gmail.com)
    
    v3: cleanup, remove redundant is_srgb
        rename explicit_srgb as 'need_srgb' to follow style better
    
    Signed-off-by: Tapani Pälli <tapani.palli@intel.com>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com> (v2)
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=102264
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=102354
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=102503


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.